SIZE(1)

NOME
size - elenca le dimensioni della sezione e la dimensione totale.

SINTASSI
size [-A|-B|--format=compatibility]
     [--help]
     [-d|-o|-x|--radix=number]
     [--common]
     [-t|--totals]
     [--target=bfdname] [-V|--version]
     [objfile...]

DESCRIZIONE
L'utilità GNU size elenca le dimensioni della sezione--- e la dimensione totale---per ciascun oggetto o file archivio objfile nel suo elenco argomenti. Per impostazione predefinita, una linea di output è generata per ciascun file oggetto o per ciascun modulo in un archivio.

objfile... sono i file oggetto da esaminare. Se non ne viene specificato nessuno, verrà usato il file "a.out" .

OPZIONI
le opzioni della riga di comando hanno i seguenti significati:

-A
-B
--format=compatibility
    Usando una di queste opzioni si può scegliere di avere l'output da GNU size nella forma System V size (usando -A, o --format=sysv), o Berkeley size (usando -B, o --format=berkeley). Quello predefinito è il formato a una sola riga simile a quello di Berkeley.

    Qui c'è un esempio del formato Berkeley (predefinito) di output da size:

            $ size --format=Berkeley ranlib size
            text    data    bss     dec     hex     filename
            294880  81920   11592   388392  5ed28   ranlib
            294880  81920   11888   388688  5ee50   size

    Questi sono gli stessi dati, ma visualizzati più vicini alle convenzioni System V:

            $ size --format=SysV ranlib size
            ranlib  :
            section         size         addr
            .text         294880         8192
            .data          81920       303104
            .bss           11592       385024
            Total         388392

            size  :
            section         size         addr
            .text         294880         8192
            .data          81920       303104
            .bss           11888       385024
            Total         388688

--help
    Mostra un sommario di argomenti e opzioni accettabili.

-d
-o
-x
--radix=number
    Usando una di queste opzioni si può controllare se la dimensione di ciascuna sezione è data in decimale (-d, o --radix=10); ottale (-o, o --radix=8); o esadecimale (-x, o --radix=16). In --radix=number, solo i tre valori (8, 10, 16) sono supportati. La dimensione totale è sempre data in due basi; decimale ed esadecimale per l'output -d o -x, o ottale ed esadecimale se si sta usando -o.

--common
    Stampa la dimensione totale dei simboli comuni in ciascun file. Quando si usa il formato Berkeley questi sono inclusi nella dimensione bss [dati non inizializzati].

-t
--totals
    Mostra i totali di tutti gli oggetti elencati (solo il formato di elencazione Berkeley).

--target=bfdname
    Specifica che il formato codice oggetto per objfile è bfdname. Questa opzione potrebbe non essere necessaria; size può riconoscere automaticamente molti formati.

-V
--version
    Mostra il numero di versione di size.

@file
    Legge le opzioni da riga di comando da file. Le opzioni lette sono inserite al posto dell'opzione originale @file. Se file non esiste o non può essere letto, l'opzione sarà trattata letteralmente, e non rimossa.

    Le opzioni in file sono separate da spazi vuoti. Si può includere uno spazio vuoto in un'opzione racchiudendo l'intera opzione fra apici, singoli o doppi. Può essere incluso qualsiasi carattere (compresa la barra inversa) facendo precedere al carattere una barra inversa. Il file può esso stesso contenere ulteriori opzioni @file; ciascuna di queste opzioni sarà elaborata ricorsivamente.

VEDERE ANCHE
ar(1), objdump(1), readelf(1), e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991-2013 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

DIRITTI DI COPIA
Copyright (c) 1991-2013 Free Software Foundation, Inc.

Traduzione in italiano a cura di ILDP - Italian Linux Documentation Project http://www.pluto.it/ildp. Segnalare eventuali errori di traduzione a ildp@pluto.it

Questa è una traduzione non ufficiale in italiano dei permessi di copia riportati nella precedente sezione "COPYRIGHT". Non è una pubblicazione della Free Software Foundation, e non ha validità legale per i termini di distribuzione della documentazione; solo il testo originale inglese ha tale validità.

This is an unofficial translation into Italian of the above section "COPYRIGHT". It was not published by the Free Software Foundation, and does not legally state the distribution terms for this documentation; only the original English text does that.

È permesso copiare, distribuire e/o modificare questo documento seguendo i termini della GNU Free Documentation License (Licenza per documentazione libera GNU), versione 1.3 o ogni versione successiva pubblicata dalla Free Software Foundation; senza sezioni non modificabili, senza testi di prima di copertina e di quarta di copertina. Una copia della licenza è inclusa nella sezione intitolata "GNU Free Documentation License" (Licenza per la documentazione libera GNU).